# Draw
TKViewerTest
ViewerTest

# ViewerTest_Tool Class Reference

to build and initialize ViewerTest static variables.
====================================================

`#include <ViewerTest_Tool.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_V3d_Viewer | MakeViewer (const Standard_CString title)
| create a new <context>. ViewerTest variables are not initialized;
static Standard_EXPORT Handle_AIS_InteractiveContext | MakeContext (const Standard_CString title)
| create a new <context>. ViewerTest variables are not initialized;
static Standard_EXPORT void | InitViewerTest (const Handle(AIS_InteractiveContext)&current)
| init variables of ViewerTest with <current>

## Member Function Documentation

static Standard_EXPORT void ViewerTest_Tool::InitViewerTest | ( | const Handle(AIS_InteractiveContext)& | current | ) | `[static]`

static Standard_EXPORT Handle_AIS_InteractiveContext ViewerTest_Tool::MakeContext | ( | const Standard_CString | title | ) | `[static]`

static Standard_EXPORT Handle_V3d_Viewer ViewerTest_Tool::MakeViewer | ( | const Standard_CString | title | ) | `[static]`

void ViewerTest_Tool::operator delete | ( | void * | anAddress | ) | `[inline]`

void* ViewerTest_Tool::operator new | ( | size_t | size | ) | `[inline]`

void* ViewerTest_Tool::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- ViewerTest_Tool.hxx